# Uses of Class
org.apache.solr.client.solrj.routing.PreferenceRule

Packages that use PreferenceRule
Package
Description
org.apache.solr.client.solrj.routing
Classes to handle query routing preferences

## Uses of PreferenceRule in org.apache.solr.client.solrj.routing

Methods in org.apache.solr.client.solrj.routing that return types with arguments of type PreferenceRule
Modifier and Type
Method
Description
`static List<PreferenceRule>`
PreferenceRule.`from(String rules)`
`List<PreferenceRule>`
NodePreferenceRulesComparator.`getPreferenceRules()`
Constructor parameters in org.apache.solr.client.solrj.routing with type arguments of type PreferenceRule
Modifier
Constructor
Description
``
`NodePreferenceRulesComparator(List<PreferenceRule> preferenceRules, SolrParams requestParams, String nodeName, String baseUrl, String hostName, NodesSysProps sysProps, ReplicaListTransformerFactory defaultRltFactory, ReplicaListTransformerFactory stableRltFactory)`
``
`NodePreferenceRulesComparator(List<PreferenceRule> preferenceRules, SolrParams requestParams, ReplicaListTransformerFactory defaultRltFactory, ReplicaListTransformerFactory stableRltFactory)`